<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//SEU OTO: TODA VEZ QUE DA UM SUBMIT ELE PASSA POR AQUI
//$dados=retorna_dados_usuario();
//list($idLabo, $binario, $nivel, $usuario, $idProdutor,$regiao,$idUsuario) = explode(":", $dados);//$idUsuario=35;
//echo("111111111111111111esta passando pelo setor antes do  switch<br>");

	
	
switch ($tela):

    case 'fareja':
	if (isset($_POST['especie'])) $tipo=1;
	if (isset($_POST['cultivar']))$tipo=2;
	if (isset($_POST['categoria']))$tipo=3;
	if (isset($_POST['peneira']))$tipo=4;
	if (isset($_POST['produtor']))$tipo=5;


	if (isset($_POST['limpar'])):
			$tipo=0;
			$sessao->setVar('controle',$tipo);
			$sessao->setVar('controle1','');
    endif;
   
   //somente vai gravar o tipoguardado quando for menor que 6 pois os outros nao interessa guardar
   if($tipo>0 && $tipo<20):
     $tipoGuardado=$tipo;
	 $sessao->setVar('controle',$tipoGuardado);//ele grava a variavel tipoguradado na sessao controle 
   else:
		if (isset($_GET['SELE'])):
	       $selecionado=$_GET['SELE']; 
		   $tipo=901;
		   //echo(" COM GETssssssssssssssssssselecionado=$selecionado<br>");
		endif;   
   endif;
   //le sempre o tipo guardado
   $tipoGuardado=$sessao->getVar('controle');
   


if($tipoGuardado==NULL)
{
    print "<script>alert('PESQUISA NO BANCO DE DADOS: Nesta parte do programa aparecerão filtros, selecione um ou mais, entre os disponiveis e depois clique em finalizar filtragem.');</script>";//so entra aqui na primeira vez
}
else
{
    //nao faz nada
}

if (isset($_POST['finalizar'])):
   $tipo=903;
endif;   

	
//echo(" ttttttttttttttttttttttttttttttipoGuardado=$tipoGuardado<br>");	
	

//$imagemCliente="i".$idLabo.".JPG";
/*
FINALIDADE DO FAREJADOR
É criar uma lista de filtros exemplo apelido=jose especie=soja  Ele vai para a tela de dinamica7 e la ele captura esta string
eu uso apelido e nao o proprio nome do produtor pois no nme do produtor tem por exemplo JOSE & CIA LTDA e isso mascara minha sql de busca
e no pelido eu poss evitar estes caractares, . Aspas tambem nao pode exemplo DAL'VECHIA   DAL'OGLIO'
ele vai so criar uma sessao com os filtros, so isso....
*/

 //quando eu entro com a senha do produtor ele so vai me trazer dados daquele produtor hihihihi
 $pedacoProdutor="";
 if($nivel=="PRODUTOR") $pedacoProdutor=" && prd_id=$idProdutor";
// echo("Versao de teste: $usuario idlabo= $idLabo nivel= $nivel --- $binario --idprodutor= $idProdutor NOME PRODUTOR=$pedacoProdutor<br>");
 


/*
NAO APAGAR ISSO AQUI
REPARAR NA LINHA ABAIXO O QUE GUARDA CADA PEDACO DESTES AI
pedaco1= && esp_nome ='ALFACE' pedacolocal1=ALFACE pedacoexporta1=01ALFACE
PEDACO1:GUARDA AO CAMPO E O QUE FOI SELECIONADO
PEDACOLOCAL1 GUARDA O NOME DO CAMPO SELECIONADO PARA QUE O USUARIO LEIA O QUE SELECIONOU EXEMPLO=ALFACE
PEDACOEXPORTA1 JA GUARDA O QUE VAI SER EXPORTADO MAS NA POSICAO CERTA OU SEJA A PRIMEIR É ESPECIE A QUINTA É APELIDO TUDO ORGANIZADO 
*/

//enche o combo com a lista de modelos de relatorios
$filtrosSelecionados="Filtros:";
//conforme qual filtro chamou vai setando o campo correspondente
if($tipoGuardado==1)  $campoChamado="esp_nome";
if($tipoGuardado==2)  $campoChamado="ctv_nome";
if($tipoGuardado==3)  $campoChamado="fic_categoria";
if($tipoGuardado==4)  $campoChamado="fic_peneira";
if($tipoGuardado==5)  $campoChamado="prd_apelido";

//echo("yyyyyyyyyyyy campoChamado=$campoChamado<br>");
////////////parte inserida do istema paulista deve criar um vetor lista generica///////////////
if(strlen($campoChamado)>0):
//	$sqlSeletor="select distinct " .$campoChamado." from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id ".$pedacoProdutor.$pedaco1.$pedaco2.$pedaco3.$pedaco4.$pedaco5 ." order by ".$campoChamado;
$pedacos=$sessao->getVar('controle1');	
$sqlSeletor="select distinct " .$campoChamado." from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id ".$pedacoProdutor.$pedacos ." order by ".$campoChamado;
	//echo("zzzzzzzzzzzzzzzzzzzzseletor= $sqlSeletor    pedacos=$pedacos<br>");
    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
        $generica->extras_select =$sqlSeletor;
		$generica->selecionaCamposEspecial($generica);
		$contador=0;
        while ($resgenerica= $generica->retornaDados()):
            $contador++;
			if($tipo==1)$listaGenerica[$contador]=$resgenerica->esp_nome;
			if($tipo==2)$listaGenerica[$contador]=$resgenerica->ctv_nome;
			if($tipo==3)$listaGenerica[$contador]=$resgenerica->fic_categoria;
			if($tipo==4)$listaGenerica[$contador]=$resgenerica->fic_peneira;
			if($tipo==5)$listaGenerica[$contador]=$resgenerica->prd_apelido;
        endwhile; 
endif;

///////////fim da parte inserida sistema paulista//////////////////

//aqui é o limpador de filros
if($tipo==6)
{
	$pedaco1="";
	$pedaco2="";
	$pedaco3="";
	$pedaco4="";
	$pedaco5="";
	$pedacoLocal1="";
	$pedacoLocal2="";
	$pedacoLocal3="";
	$pedacoLocal4="";
	$pedacoLocal5="";
	$pedacoExporta1="";
	$pedacoExporta2="";
	$pedacoExporta3="";
	$pedacoExporta4="";
	$pedacoExporta5="";
}//fecha se tipo=6 que é limpar filtros

$idModeloGuardado=$_POST["idModeloGuardado"];


//901 é o seletor do combo ou seja o seletor de especies ,peneira etc etc



if($tipo==901)
{

		if($tipoGuardado==1)
   		{
     		$pedacoGenerico=" && esp_nome ='".$selecionado."'";
			$pedacoGenericoExporta='01'.$selecionado;//" Especie:".
        }	 
		if($tipoGuardado==2)
  		{
		    $pedacoGenerico=" && ctv_nome ='".$selecionado."'";
			$pedacoGenericoExporta='02'.$selecionado;//" cultivar".
		}	
		if($tipoGuardado==3)
         {
		      $pedacoGenerico=" && fic_categoria ='".$selecionado."'";
			  $pedacoGenericoExporta='03'.$selecionado;//" categoria".
		 }	  
		if($tipoGuardado==4)
            {
     			$pedacoGenerico=" && fic_peneira ='".$selecionado."'";
			    $pedacoGenericoExporta='04'.$selecionado;//" peneira".
			}	
		if($tipoGuardado==5)
        {
 		      $pedacoGenerico=" && prd_apelido ='".$selecionado."'";
			  $pedacoGenericoExporta='05'.$selecionado;//" produtor".
		}	 
		//captura o valor da sessao controle1 e adiciona o pedaco generico 
		$pedacos=$sessao->getVar('controle1');
  
		
		$mandou=0;
	    if(empty($pedaco1)) 
		{
	    	$pedaco1=$pedacoGenerico;
	    	$pedacoExporta1=$pedacoGenericoExporta;
			$mandou=1;
		    $pedacos=$pedacos.$pedacoGenerico;
		}
	    if(empty($pedaco2) && $mandou==0)
	    { 
		    $pedaco2=$pedacoGenerico;
	    	$pedacoExporta2=$pedacoGenericoExporta;
			$mandou=1;
		    $pedacos=$pedacos.$pedacoGenerico;
	    }
	    if(empty($pedaco3) && $mandou==0)
	    { 
		    $pedaco3=$pedacoGenerico;
	    	$pedacoExporta3=$pedacoGenericoExporta;
			$mandou=1;
		    $pedacos=$pedacos.$pedacoGenerico;
	    }
	    if(empty($pedaco4) && $mandou==0)
	    { 
		    $pedaco4=$pedacoGenerico;
	    	$pedacoExporta4=$pedacoGenericoExporta;
			$mandou=1;
		    $pedacos=$pedacos.$pedacoGenerico;
	    }
	    if(empty($pedaco5) && $mandou==0)
	    { 
		    $pedaco5=$pedacoGenerico;
	    	$pedacoExporta5=$pedacoGenericoExporta;
			$mandou=1;
		    $pedacos=$pedacos.$pedacoGenerico;
	    }
		//echo("xxxxxxxxxxxxxxpedaco exporta3=$pedacoExporta3 mandou=$mandou tipoguardado=$tipoGuardado  selecionado=$selecionado<br>");
		if($mandou==1)
		{
     		//echo("dentro do ifxxxxxxxxxxxxxxxxxxxxxxmandou=$mandou tipoguardado=$tipoGuardado  selecionado=$selecionado<br>");
			if($tipoGuardado==1) $pedacoLocal1=$selecionado;//" Especie:".
			if($tipoGuardado==2) $pedacoLocal2=$selecionado;//" Cultivar:".
			if($tipoGuardado==3) $pedacoLocal3=$selecionado;//" Categoria:".
			if($tipoGuardado==4) $pedacoLocal4=$selecionado;//" Peneira:".
			if($tipoGuardado==5) $pedacoLocal5=$selecionado;//" Produtor:".
         }		
		//grava na sessao o novo valor		
		$sessao->setVar('controle1',$pedacos);
		//echo("dentro do 901aaaaaaaaaaaaatipoguardado= $tipoGuardado  pedacos=$pedacos<br>");
		$tipo=0;
		$selecionado="";
		$pedaco1="";
		$pedaco2="";
		$pedaco3="";
		$pedaco4="";
		$pedaco5="";
		$pedaco6="";
} //aqui fecha o if da pergunta se é tipo=901

$exportaPedacos=$pedacoExporta1.':'.$pedacoExporta2.':'.$pedacoExporta3.':'.$pedacoExporta4.':'.$pedacoExporta5.':';
$pedacos=$sessao->getVar('controle1');
$exportaPedacos=$pedacos;
//903 é o tipo para encerrar a filtração e mostrar o resultado
if($tipo==903)
{
	 $f=fopen("impdetail.txt","w",0); 
	 fclose($f);
		 $f=fopen("impdetail.txt","a+",0); 
		 $sqlFinal=$_POST["sqlFinal"];
	     fwrite($f,$sqlFinal,$idLabo);
		 fclose($f);
		 
	   $sqlExporteichan= $exportaPedacos;
	   //echo("aqui deveria vir com aqueles and esp_nome=feijao  etc $sqlExporteichan pedaco1=$pedaco1<br> ");
	   echo '<iframe src="dinamica2012.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
}//final da tipo 903  que é a final da filtração comanddando a mostrar o resultado
//echo("ppppppppppppppppppouco antes de sair do php <br>");

?>

<b>Filtros escolhidos para pesquisa no banco de dados - Integral AgroNet(34)9293.5037 </b>
<br>

<form class="userform" method="POST" action="">
<!--cada filtro deve ter um campo destes-->
<input type = "text" size="120"  name="pedacos" value="<?php echo $pedacos?>">

<table  border="1" bgcolor="#bee0cd" width="800" >
<tr>
  <td>Filtros:</td>
  <td>-</td>
  <td>-</td>
  <td>-</td>

  </tr><tr>
     <td><input type="submit" name="produtor" value="Requerente" /></td>
     <td><input type="submit" name="especie" value="Espécie" /></td>
     <td><input type="submit" name="cultivar" value="Cultivar" /></td>
     <td><input type="submit" name="categoria" value="Categoria" /></td>
     <td><input type="submit" name="peneira" value="Peneira" /></td>
	 </tr><tr>
 
	 </tr>
  </table>


	 
<?php
if($tipo==901)
{  
     //echo("sqlfinal*****************=$sqlFinal<br>");
	 $f=fopen("impdetail.txt","w",0); 
	 fclose($f);
	 echo("xxxxxxxxxxxxxxxxxyyyyyyzzzzz".$idUsuario.$titulo.$portraite.$numColunas.$largura1i.$largura2i.$largura3i.$largura4i.$largura5i.$largura6i.$largura7i.$largura8i.$largura9i.$largura10i.$cabColuna1.$cabColuna2.$cabColuna3.$cabColuna4.$cabColuna5.$cabColuna6.$cabColuna7.$cabColuna8.$cabColuna9.$cabColuna10) ; //Responssável pela gravação no Arquivo
	 
	 //gravar_array_arquivo($idUsuario,$titulo,$portraite,$numColunas,$largura1i,$largura2i,$largura3i,$largura4i,$largura5i,$largura6i,$largura7i,$largura8i,$largura9i,$largura10i,$cabColuna1,$cabColuna2,$cabColuna3,$cabColuna4,$cabColuna5,$cabColuna6,$cabColuna7,$cabColuna8,$cabColuna9,$cabColuna10); //Responssável pela gravação no Arquivo
}	 
 
			 
if(strlen($campoChamado)>0):
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "100px",
                "sScrollX": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
		
	 <!--tabela de filtros  aqui declara a grade que vai mostrar os filtros de aacondo com esquema do paulista -->
<table width="800" border="1" bgcolor="silver"><!--cria a tabela geral-->
 
 <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
    <thead>
        <tr>
            <th>Nome/Apelido</th><th>Selecionar(1)</th>
        </tr>
    </thead>
    <tbody>	
		
  <?php
//	$sqlSeletor="select distinct " .$campoChamado." from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id ".$pedacoProdutor.$pedaco1.$pedaco2.$pedaco3.$pedaco4.$pedaco5 ." order by ".$campoChamado;
$pedacos=$sessao->getVar('controle1');	
$sqlSeletor="select distinct " .$campoChamado." from cultivar,ficha,remetente,especies where fic_labo=".$idLabo."  && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id ".$pedacoProdutor.$pedacos ." order by ".$campoChamado;
	echo("zzzzzzzzzzzzzzzzzzzzseletor= $sqlSeletor    pedacos=$pedacos<br>");
    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
        $generica->extras_select =$sqlSeletor;
		$generica->selecionaCamposEspecial($generica);
		$contador=0;
		//se eu quiser fazer ele pegar a id entao preciso tambem mostrar so filtros de forma mais facil de entender. do jeito que esta esta mais ou menos
        while ($resgenerica= $generica->retornaDados()):
            $contador++;
			if($tipo==1)$conteudo=$resgenerica->esp_nome;
			if($tipo==2)$conteudo=$resgenerica->ctv_nome;
			if($tipo==3)$conteudo=$resgenerica->fic_categoria;
			if($tipo==4)$conteudo=$resgenerica->fic_peneira;
			if($tipo==5)$conteudo=$resgenerica->prd_apelido;
            echo '<tr>';
            printf('<td>%s</td>',$conteudo);
			printf('<td class="center"> <a href="?m=farejador2012&t=fareja&SELE=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$conteudo);
            echo '</tr>';
        endwhile; 
        ?>
        </tbody>
        </table>
<?php
endif;//final do teste se a string CAMPOCAHAMADO for maior que zero
?>

 <!--//////////////////////////////////////////////////////////////////////-->
 <?php
 //so vai mostrar o botao FINALIZAR FILTRAGEM depois que tiver filtrado alguma coisa
 if($exportaPedacos!=""):
	   ?> 
	   <td><table width="500" border="1"> <!--cria a tabelas esquerda inferiro-->
	   <tr>
	      <td>
		     <input type="submit" name="limpar" value="Limpar Filtros" />
		  <input type="submit" name="finalizar" value="Finalizar filtragem" /></td>
	   </tr>   
	   </table></td>
	   <?php
 endif;
 ?> 
</table><!--fecha tabela geral-->
<input type = "hidden" size="300" name="exportaPedacos" value="<?php echo $exportaPedacos?>">
</form>
</table>


       <?php

    break;

	

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>
